Bug 645342 - Implement QEMU driver for modern sound device like Intel HDA
Implement QEMU driver for modern sound device like Intel HDA
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
All Linux
low Severity medium
: rc
: 6.1
Assigned To: Gerd Hoffmann
Virtualization Bugs
:
: 562595 (view as bug list)
Depends On:
Blocks: 563122 580954 LibvirtHDA 648838 663604
  Show dependency treegraph
 
Reported: 2010-10-21 07:02 EDT by Jes Sorensen
Modified: 2013-01-09 18:16 EST (History)
14 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.122.el6
Doc Type: Bug Fix
Doc Text:
Red Hat Enterprise Linux 6.1 includes the ability to expose an emulated Intel HDA sound card to all guests. This update enables native sound support for many guests including the 64-bit version of Windows 7.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-19 07:33:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jes Sorensen 2010-10-21 07:02:52 EDT
Description of problem:
QEMU lacks a driver for a modern sound device. Windows7/x64 does not have any drivers for any of the sound devices we support in current QEMU.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
  * Documentation for Intel HDA:
   * http://www.intel.com/Assets/PDF/manual/307017.pdf
   * ftp://download.intel.com/standards/hdaudio/pdf/hdaudio_03.pdf
Comment 2 Gerd Hoffmann 2010-10-27 12:01:37 EDT
*** Bug 562595 has been marked as a duplicate of this bug. ***
Comment 3 Gerd Hoffmann 2010-10-27 12:12:49 EDT
qemu scratch build with intel hda support:
  https://brewweb.devel.redhat.com/taskinfo?taskID=2855203

Patches (against upstream):
  http://cgit.freedesktop.org/spice/qemu/log/?h=audio.2

Usage:
  add 'device intel-hda -device hda-duplex' to the qemu cmd line.
Comment 4 Gerd Hoffmann 2010-10-28 16:47:05 EDT
New build:
  http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2859656
Comment 5 Gerd Hoffmann 2010-10-28 17:24:27 EDT
Yaniv, any chance you can torture the HDA emulation with UAATest?
(see http://msdn.microsoft.com/en-us/library/ff568525%28VS.85%29.aspx)
Comment 8 Gerd Hoffmann 2010-11-01 09:51:41 EDT
New build:
  http://brewweb.devel.redhat.com/brew/taskinfo?taskID=2864915
Comment 13 Qingtang Zhou 2011-01-16 22:11:08 EST
verified on qemu-kvm-0.12.1.2-2.129.el6
Comment 21 Ryan Lerch 2011-03-16 23:39:35 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Red Hat Enterprise Linux 6.1 exposes an emulated Intel HDA sound card to all guests. This update enables native sound support for many guests including the 64-bit version of Windows 7.
Comment 22 Ryan Lerch 2011-03-16 23:40:35 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Red Hat Enterprise Linux 6.1 exposes an emulated Intel HDA sound card to all guests. This update enables native sound support for many guests including the 64-bit version of Windows 7.+Red Hat Enterprise Linux 6.1 includes the ability to expose an emulated Intel HDA sound card to all guests. This update enables native sound support for many guests including the 64-bit version of Windows 7.
Comment 23 Miya Chen 2011-03-17 07:08:29 EDT
Packages Tested:
qemu-kvm-0.12.1.2-2.149.el6
checkpoint: get sound from guest under spice graphic

======================
Guest	      Arch	HDA
-------------------------------------------------
Winxp SP3     i386	No driver	
-------------------------------------------------
Win2003 SP2   i386	No driver	
              X86_64	No driver	
-------------------------------------------------
Win2008       i386	No driver	
              X86_64	No driver
-------------------------------------------------	
Win2008R2     X86_64	PASS	
-------------------------------------------------
Win7          i386	PASS	
              X86_64	PASS	
-------------------------------------------------
RHEL-3.9.z    i386	No driver	
              X86_64	No driver
-------------------------------------------------	
RHEL-4.8.z    i386	PASS	
              X86_64	PASS	
-------------------------------------------------
RHEL-5.6.z    i386	PASS	
              X86_64	PASS	
-------------------------------------------------
RHEL-6.0.z    i386	PASS	
              X86_64	PASS
-------------------------------------------------
RHEL-6.1      i386	PASS
              X86_64	PASS	

combined with comment#15, this bug should be fixed.
Comment 25 Gerd Hoffmann 2011-04-28 07:10:36 EDT
Re #19: tech note added meanwhile looks good to me.
Comment 26 errata-xmlrpc 2011-05-19 07:33:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html
Comment 27 errata-xmlrpc 2011-05-19 08:49:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0534.html

Note You need to log in before you can comment on or make changes to this bug.